QuickFIX: FIX::DoubleField Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::DoubleField Class Reference

Field that contains a double value. More...

`#include <Field.h>`

Inheritance diagram for FIX::DoubleField:
[legend]
Collaboration diagram for FIX::DoubleField:
[legend]

List of all members.

## Public Member Functions
| DoubleField (int field, double data, int padding=0)
| DoubleField (int field)
void | setValue (double value, int padding=0)
double | getValue () const throw ( IncorrectDataFormat )
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator double () const

## Detailed Description

Field that contains a double value.

Definition at line 274 of file Field.h.

## Constructor & Destructor Documentation

FIX::DoubleField::DoubleField | ( | int | field,
|  | double | data,
|  | int | padding = `0` |
| ) |  |  | `[inline, explicit]`

Definition at line 277 of file Field.h.

    00278 : FieldBase( field, DoubleConvertor::convert( data, padding ) ) {}

FIX::DoubleField::DoubleField | ( | int | field | ) | `[inline]`

Definition at line 279 of file Field.h.

    00280 : FieldBase( field, "" ) {}

## Member Function Documentation

double FIX::DoubleField::getValue | ( |  | ) | const throw ( IncorrectDataFormat )`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 284 of file Field.h.

    00285     { try
    00286       { return DoubleConvertor::convert( getString() ); }
    00287       catch( FieldConvertError& )
    00288       { throw IncorrectDataFormat( getField(), getString() ); } }

FIX::DoubleField::operator double | ( |  | ) | const`[inline]`

Definition at line 289 of file Field.h.

    00290     { return getValue(); }

void FIX::DoubleField::setValue | ( | double | value,
|  | int | padding = `0` |
| ) |  |  | `[inline]`

Definition at line 282 of file Field.h.

    00283     { setString( DoubleConvertor::convert( value, padding ) ); }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h